"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const string_1 = require("./string");
describe('string', () => {
    test(`toPriceString`, () => expect(string_1.toPriceString(0)).toEqual("$0.00"));
    test(`toPriceString`, () => expect(string_1.toPriceString(100)).toEqual("$100.00"));
    test(`toPriceString`, () => expect(string_1.toPriceString(12.34)).toEqual("$12.34"));
    test(`toPriceString`, () => expect(string_1.toPriceString(45.678)).toEqual("$45.67"));
    test(`toPriceString`, () => expect(string_1.toPriceString(-12.34)).toEqual("($12.34)"));
    test(`toPriceString`, () => expect(string_1.toPriceString(-45.678)).toEqual("($45.67)"));
    test(`toPriceString`, () => expect(string_1.toPriceString(12345678)).toEqual("$12,345,678.00"));
    test(`toPriceString`, () => expect(string_1.toPriceString(45678)).toEqual("$45,678.00"));
    test(`toPriceString`, () => expect(string_1.toPriceString(522.54)).toEqual("$522.54"));
    test(`fromPriceString`, () => expect(string_1.fromPriceString("$0.00")).toEqual(0));
    test(`fromPriceString`, () => expect(string_1.fromPriceString("$100.00")).toEqual(100));
    test(`fromPriceString`, () => expect(string_1.fromPriceString("$12.34")).toEqual(12.34));
    test(`fromPriceString`, () => expect(string_1.fromPriceString("$45.67")).toEqual(45.67));
    test(`fromPriceString`, () => expect(string_1.fromPriceString("($12.34)")).toEqual(-12.34));
    test(`fromPriceString`, () => expect(string_1.fromPriceString("($45.67)")).toEqual(-45.67));
    test(`fromPriceString`, () => expect(string_1.fromPriceString("-$12.34")).toEqual(-12.34));
    test(`fromPriceString`, () => expect(string_1.fromPriceString("-$45.67")).toEqual(-45.67));
    test(`fromPriceString`, () => expect(string_1.fromPriceString("$12,345,678.00")).toEqual(12345678));
    test(`fromPriceString`, () => expect(string_1.fromPriceString("$45,678")).toEqual(45678));
    test(`fromPriceString`, () => expect(string_1.fromPriceString("$12345678")).toEqual(12345678));
    test(`fromPriceString`, () => expect(string_1.fromPriceString("45678")).toEqual(45678));
    test(`fromPriceString`, () => expect(string_1.fromPriceString("$522.54")).toEqual(522.54));
    test(`toPercentageString`, () => expect(string_1.toPercentageString(0)).toEqual("0.00%"));
    test(`toPercentageString`, () => expect(string_1.toPercentageString(100)).toEqual("100.00%"));
    test(`toPercentageString`, () => expect(string_1.toPercentageString(12.34)).toEqual("12.34%"));
    test(`toPercentageString`, () => expect(string_1.toPercentageString(45.678)).toEqual("45.67%"));
    test(`toPercentageString`, () => expect(string_1.toPercentageString(-12.34)).toEqual("(12.34%)"));
    test(`toPercentageString`, () => expect(string_1.toPercentageString(-45.678)).toEqual("(45.67%)"));
    test(`toPercentageString`, () => expect(string_1.toPercentageString(12345678)).toEqual("12,345,678.00%"));
    test(`toPercentageString`, () => expect(string_1.toPercentageString(45678)).toEqual("45,678.00%"));
    test(`toPercentageString`, () => expect(string_1.toPercentageString(522.54)).toEqual("522.54%"));
    test(`fromPercentageString`, () => expect(string_1.fromPercentageString("0%")).toEqual(0));
    test(`fromPercentageString`, () => expect(string_1.fromPercentageString("100%")).toEqual(100));
    test(`fromPercentageString`, () => expect(string_1.fromPercentageString("12.34%")).toEqual(12.34));
    test(`fromPercentageString`, () => expect(string_1.fromPercentageString("45.67%")).toEqual(45.67));
    test(`fromPercentageString`, () => expect(string_1.fromPercentageString("-12.34%")).toEqual(-12.34));
    test(`fromPercentageString`, () => expect(string_1.fromPercentageString("-45.67%")).toEqual(-45.67));
    test(`fromPercentageString`, () => expect(string_1.fromPercentageString("(12.34%)")).toEqual(-12.34));
    test(`fromPercentageString`, () => expect(string_1.fromPercentageString("(45.67%)")).toEqual(-45.67));
    test(`fromPercentageString`, () => expect(string_1.fromPercentageString("12,345,678.00%")).toEqual(12345678));
    test(`fromPercentageString`, () => expect(string_1.fromPercentageString("45,678%")).toEqual(45678));
    test(`fromPercentageString`, () => expect(string_1.fromPercentageString("12345678%")).toEqual(12345678));
    test(`fromPercentageString`, () => expect(string_1.fromPercentageString("45678%")).toEqual(45678));
    test(`fromPercentageString`, () => expect(string_1.fromPercentageString("522.54%")).toEqual(522.54));
});
